<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<f:view>

<HTML>
<HEAD>
<link rel="stylesheet" type="text/css" href="style.css">
</HEAD>
<BODY>

<p><strong>Holiday Bookings - JSF</strong></p>

<h:panelGroup rendered = "#{!home_backing.hasData}">
<p>
	<h:outputText value= "No holiday bookings to display"/>
</p>
</h:panelGroup>

<h:form>
	
<h:panelGroup rendered = "#{home_backing.hasData}">
	<h:dataTable binding ="#{home_backing.dataTable}" value = "#{home_backing.holidayService.holidayBookings}" var = "holiday" border = "1">
	 <h:column>
		<f:facet name = "header">
			<h:outputText value= "Holiday ID"/>
		</f:facet>
		<h:outputText value = "#{holiday.holidayID}"/>
	 </h:column>
	 <h:column>
		<f:facet name = "header">
			<h:outputText value= "Start Date"/>
		</f:facet>
		<h:outputText value = "#{holiday.date}"/>
	 </h:column>
	 <h:column>
		<f:facet name = "header">
			<h:outputText value= "No. of days"/>
		</f:facet>
		<h:outputText value = "#{holiday.amount.value}"/>
	 </h:column>
	 <h:column>
		<f:facet name = "header">
			<h:outputText value= "Description"/>
		</f:facet>
		<h:outputText value = "#{holiday.description}"/>
	 </h:column> 
	 <h:column>
		<h:commandLink action = "#{home_backing.detail}">
			<h:outputText value= "Detail"/>
		</h:commandLink>
	 </h:column> 
	 <h:column>
		<h:commandLink action = "#{home_backing.delete}">
			<h:outputText value= "Delete"/>
		</h:commandLink>
	 </h:column> 	 	 
	</h:dataTable>
</h:panelGroup>

<p>
	<h:commandButton type = "submit" value = "New" action = "#{home_backing.newHoliday}"/>
</p>

</h:form>

</BODY> 
</HTML>
 
</f:view>