/*
 * @author Phil Zoio
 */
package co.uk.realsolve.holiday.jsfbeans;

import javax.faces.component.html.HtmlDataTable;

import co.uk.realsolve.holiday.beans.HolidayBooking;

/**
 * 
 */
public class Home extends Base
{
    
    HtmlDataTable dataTable;

    /** ************** getters and setters ************* */

    public HtmlDataTable getDataTable()
    {
        return dataTable;
    }

    public void setDataTable(HtmlDataTable dataTable)
    {
        this.dataTable = dataTable;
    }
    

    /** ************** utility method to figure out whether there is backing data ************* */
    
    public boolean getHasData()
    {
        return getHolidayService().getHolidayBookings().size() > 0;
    }

    /** ************** action implementations ************* */
    
    public String newHoliday()
    {
        return "newHoliday";
    }

    public String delete()
    {
        HolidayBooking holidayChoice = (HolidayBooking) dataTable.getRowData();
        getHolidayService().deleteHoliday(holidayChoice);
        return "delete";
    }

    public String detail()
    {
        HolidayBooking holidayChoice = (HolidayBooking) dataTable.getRowData();
        getHolidaySession().setCurrentHolidayBooking(holidayChoice);
        return "detail";
    }
}