/*
 * @author Phil Zoio
 */
package co.uk.realsolve.holiday.listeners;

import javax.faces.context.ExternalContext;
import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;
import javax.faces.event.PhaseListener;
import javax.servlet.http.HttpSession;

import co.uk.realsolve.holiday.shared.HolidaySession;

/**
 * 
 */
public class SessionPhaseListener implements PhaseListener
{
    
    /** ********** implement phase listener to create visit object ************ */

    public void afterPhase(PhaseEvent event)
    {
        ExternalContext externalContext = event.getFacesContext().getExternalContext();
        HttpSession httpSession = (HttpSession) externalContext.getSession(false);
        if (httpSession == null)
        {
            httpSession = (HttpSession) externalContext.getSession(true);
            HolidaySession holidaySession = new HolidaySession();
            httpSession.setAttribute("holidaySession", holidaySession);
        }
    }

    public void beforePhase(PhaseEvent event)
    {
    }

    public PhaseId getPhaseId()
    {
        return PhaseId.RESTORE_VIEW;
    }

}